Bug 124018 - x11/xsnow should use pre-su-install
Summary: x11/xsnow should use pre-su-install
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: jmz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-05-27 03:10 UTC by Greg Lewis
Modified: 2008-08-24 19:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Greg Lewis freebsd_committer 2008-05-27 03:10:00 UTC
	x11/xsnow creates system directories in pre-install so it should
	use pre-su-install instead.

Fix: 

--- Makefile	19 Apr 2008 17:54:45 -0000	1.20
+++ Makefile	27 May 2008 01:27:04 -0000
@@ -25,7 +25,7 @@
 	 -e 's: MANDIR .*:MANDIR=${PREFIX}/man/man6:' \
 	 -e 's: MANSUFFIX .*:MANSUFFIX=6:' <Makefile~ >Makefile
 
-pre-install:
+pre-su-install:
 	@${MKDIR} ${PREFIX}/bin
 	@${MKDIR} ${PREFIX}/man/man6
 	@(cd ${WRKSRC}; ${MAKE} ${MAKE_FLAGS} ${MAKEFILE} install.man)
How-To-Repeat: 	Install x11/xsnow as a regular user without, for example,
	${LOCALDIR}/man/man6 existing.
Comment 1 Edwin Groothuis freebsd_committer 2008-05-27 03:10:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jmz

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2008-08-24 18:57:52 UTC
jmz         2008-08-24 17:57:40 UTC

  FreeBSD ports repository

  Modified files:
    x11/xsnow            Makefile 
  Log:
  Use pre-su-install instead of pre-install.
  
  PR:             ports/124018
  Submitted by:   glewis
  
  Revision  Changes    Path
  1.21      +1 -1      ports/x11/xsnow/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 jmz freebsd_committer 2008-08-24 18:57:53 UTC
State Changed
From-To: open->closed

Committed.